Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Buckminster dev » Cannot install svn feature in buckminster headless
Cannot install svn feature in buckminster headless [message #26817] Wed, 29 October 2008 10:03 Go to next message
Michael Pfeiffer is currently offline Michael Pfeiffer
Messages: 34
Registered: July 2009
Member
Hi,

I would like to install one of the svn features from
http://download.cloudsmith.com/buckminster/external
into the headless buckminster product r9505.

The following features are already installed in the buckminster product:
- org.eclipse.buckminster.core.headless.feature
- org.eclipse.buckminster.cvs.headless.feature
- org.eclipse.buckminster.pde.headless.feature

Whenever I try to install the subclipse or subversive feature with
buckminster install http://download.cloudsmith.com/buckminster/external
org.eclipse.buckminster.subclipse.headless.feature_1.0.0.r09 594
I get to following error:
No suitable feature/version found

Any hint how to install svn plugin?

Regards,
Michael
Re: Cannot install svn feature in buckminster headless [message #26857 is a reply to message #26817] Wed, 29 October 2008 12:14 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3208
Registered: July 2009
Senior Member
Hi Michal,
There seems to be something amiss with the subclipse feature after my last upload. Until
it's fixed, can you please try subversive?

Regards,
Thomas Hallgren

Michael Pfeiffer wrote:
> Hi,
>
> I would like to install one of the svn features from
> http://download.cloudsmith.com/buckminster/external into the headless
> buckminster product r9505.
>
> The following features are already installed in the buckminster product:
> - org.eclipse.buckminster.core.headless.feature
> - org.eclipse.buckminster.cvs.headless.feature
> - org.eclipse.buckminster.pde.headless.feature
>
> Whenever I try to install the subclipse or subversive feature with
> buckminster install http://download.cloudsmith.com/buckminster/external
> org.eclipse.buckminster.subclipse.headless.feature_1.0.0.r09 594
> I get to following error:
> No suitable feature/version found
>
> Any hint how to install svn plugin?
>
> Regards,
> Michael
>
>
>
Re: Cannot install svn feature in buckminster headless [message #26897 is a reply to message #26857] Thu, 30 October 2008 02:42 Go to previous messageGo to next message
Michael Pfeiffer is currently offline Michael Pfeiffer
Messages: 34
Registered: July 2009
Member
Hi Thomas,

> There seems to be something amiss with the subclipse feature after my last
upload. Until
> it's fixed, can you please try subversive?

This does not work either. I am using the following method to update a
fresh buckminster product 9505:

buckminster --scriptfile install.script

install.script:
== 8< =========
install
http://download.eclipse.org/tools/buckminster/updates/headle ss-site.xml
org.eclipse.buckminster.core.headless.feature
install
http://download.eclipse.org/tools/buckminster/updates/headle ss-site.xml
org.eclipse.buckminster.cvs.headless.feature
install
http://download.eclipse.org/tools/buckminster/updates/headle ss-site.xml
org.eclipse.buckminster.pde.headless.feature
install http://download.cloudsmith.com/buckminster/external
org.eclipse.buckminster.subversive.headless.feature_1.0.0.r0 9591
== 8< =========

Is this supposed to work?

Regards,
Michael
Re: Cannot install svn feature in buckminster headless [message #26936 is a reply to message #26897] Thu, 30 October 2008 04:20 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3208
Registered: July 2009
Senior Member
No, you're not supposed to append _1.0.0.r0959 at the end of the feature name. Sorry I
didn't caught that in your first posting. If you want a specific version you need to use a
space between the feature name and the version. It's somewhat redundant here though, since
our update site contains only one version.

- thomas

Michael Pfeiffer wrote:
> Hi Thomas,
>
>> There seems to be something amiss with the subclipse feature after my
>> last
> upload. Until
>> it's fixed, can you please try subversive?
>
> This does not work either. I am using the following method to update a
> fresh buckminster product 9505:
>
> buckminster --scriptfile install.script
>
> install.script:
> == 8< =========
> install
> http://download.eclipse.org/tools/buckminster/updates/headle ss-site.xml
> org.eclipse.buckminster.core.headless.feature
> install
> http://download.eclipse.org/tools/buckminster/updates/headle ss-site.xml
> org.eclipse.buckminster.cvs.headless.feature
> install
> http://download.eclipse.org/tools/buckminster/updates/headle ss-site.xml
> org.eclipse.buckminster.pde.headless.feature
> install http://download.cloudsmith.com/buckminster/external
> org.eclipse.buckminster.subversive.headless.feature_1.0.0.r0 9591
> == 8< =========
>
> Is this supposed to work?
>
> Regards,
> Michael
>
Re: Cannot install svn feature in buckminster headless [message #26976 is a reply to message #26936] Thu, 30 October 2008 04:32 Go to previous message
Michael Pfeiffer is currently offline Michael Pfeiffer
Messages: 34
Registered: July 2009
Member
Thomas Hallgren wrote:

> No, you're not supposed to append _1.0.0.r0959 at the end of the feature
name. Sorry I
> didn't caught that in your first posting. If you want a specific version you
need to use a
> space between the feature name and the version. It's somewhat redundant here
though, since
> our update site contains only one version.

Thank you very much. I blindly copied the feature name from "listsite". I
am very sorry for the noise. :(

Regards,
Michael
Previous Topic:[buckminster-dev] Project cannot be built?
Next Topic:Automated build broken
Goto Forum:
  


Current Time: Sun Apr 20 16:04:13 EDT 2014

Powered by FUDForum. Page generated in 0.01560 seconds